## lua-cmsgpack 0.4.0~git20230328.57b1f90

=== CMakeLists.txt ===
# If Lua is installed in a non-standard location, please set the LUA_DIR
# environment variable to point to prefix for the install. Eg:
#       Unix: export LUA_DIR=/home/user/pkg
#       Windows: set LUA_DIR=c:\lua51

project(lua-cmsgpack C)
cmake_minimum_required(VERSION 2.6)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif()

find_package(Lua51 REQUIRED)
include_directories(${LUA_INCLUDE_DIR})

if(APPLE)
    set(CMAKE_SHARED_MODULE_CREATE_C_FLAGS
        "${CMAKE_SHARED_MODULE_CREATE_C_FLAGS} -undefined dynamic_lookup")
endif()

if(WIN32)
    # Win32 modules need to be linked to the Lua library.
    set(_MODULE_LINK ${LUA_LIBRARY} ${_MODULE_LINK})
    set(_lua_module_dir "${_lua_lib_dir}")
else()
    set(_lua_module_dir "${_lua_lib_dir}/lua/5.1")
endif()

option(Build32Bit "Build 32-bit Library" OFF)

set(CMAKE_C_FLAGS "-O2 -g -ggdb -Wall -pedantic -std=c99")
add_library(cmsgpack MODULE lua_cmsgpack.c)
set_target_properties(cmsgpack PROPERTIES PREFIX "")

if(Build32Bit)
    set_target_properties(cmsgpack
                          PROPERTIES COMPILE_FLAGS "-m32" LINK_FLAGS "-m32")
endif()

target_link_libraries(cmsgpack ${_MODULE_LINK})
install(TARGETS cmsgpack DESTINATION "${_lua_module_dir}")

# vi:ai et sw=4 ts=4:

=== debian/changelog ===
lua-cmsgpack (0.4.0~git20230328.57b1f90-2) unstable; urgency=medium

  * update Standards-Version, no changes needed
  * add upstream/metadata

 -- Victor Seva <vseva@debian.org>  Wed, 25 Sep 2024 09:05:44 +0200

lua-cmsgpack (0.4.0~git20230328.57b1f90-1) unstable; urgency=medium

  * Initial release (Closes: #1067885)

 -- Victor Seva <vseva@debian.org>  Tue, 26 Mar 2024 17:16:02 +0100

=== debian/control ===
Source: lua-cmsgpack
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-lua,
Standards-Version: 4.7.0
Homepage: https://github.com/antirez/lua-cmsgpack/
Vcs-Git: https://salsa.debian.org/lua-team/lua-cmsgpack.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-cmsgpack

Package: lua-cmsgpack-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-cmsgpack (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: development files for lua-cmsgpack library
 development files of the lua-cmsgpack library, useful
 to create a statically linked binary (like a C application or a standalone Lua
 interpreter)..
 .
 Documentation is also shipped within this package.

Package: lua-cmsgpack
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: MessagePack implementation and bindings for Lua
 lua-cmsgpack is a self contained C file without external dependencies.
 MessagePack is an object serialization specification like JSON.

=== debian/rules ===
#!/usr/bin/make -f

export DH_LUA_OPTS=skip-test-app-static,skip-test-app-dynamic

%:
	dh $@ --buildsystem=lua --with lua

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lua-cmsgpack-$1\.tar\.gz/ \
  https://github.com/antirez/lua-cmsgpack/tags .*/v?(\d\S+)\.tar\.gz
